Skip to navigation

Delete Locations

Delete existing locations.

You cannot delete locations that are shipping origins or have open order transactions. The location with a location_id of 1 is the storeʼs default shipping origin, and you cannot change the shipping origin.

You can delete locations assigned to pickup methods.

Warning:

Deleting locations that have inventory also deletes its stock.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

location_id:inintegerRequired

Comma separated list of location_id.

Response

The locations were deleted. The response has no body.

Errors

404
Not Found Error
422
Unprocessable Entity Error